LOGIN(1)

NAME
login - log into the computer

SYNOPSIS
login [-fp] [-h hostname] [user]

DESCRIPTION
The login utility logs users (and pseudo-users) into the computer system.

If no user is specified, or if a user is specified and authentication of the user fails, login prompts for a user name. Authentication of users is configurable via pam(8). Password authentication is the default.

The following options are available:

-f  When a user name is specified, this option indicates that proper authentication has already been done and that no password need be requested. This option may only be used by the super-user or when an already logged in user is logging in as themselves.

-h  Specify the host from which the connection was received. It is used by various daemons such as telnetd(8). This option may only be used by the super-user.

-p  By default, login discards any previous environment. The -p option disables this behavior.

Login access can be controlled via login.access(5) or the login class in login.conf(5), which provides allow and deny records based on time, tty and remote host name.

If the file /etc/fbtab exists, login changes the protection and ownership of certain devices specified in this file.

Immediately after logging a user in, login displays the system copyright notice, the date and time the user last logged in, the message of the day as well as other information. If the file .hushlogin exists in the user's home directory, all of these messages are suppressed. This is to simplify logins for non-human users, such as uucp(1).

The login utility enters information into the environment (see environ(7)) specifying the user's home directory (HOME), command interpreter (SHELL), search path (PATH), terminal type (TERM) and user name (both LOGNAME and USER). Other environment variables may be set due to entries in the login class capabilities database, for the login class assigned in the user's system passwd record. The login class also controls the maximum and current process resource limits granted to a login, process priorities and many other aspects of a user's login environment.

Some shells may provide a builtin login command which is similar or identical to this utility. Consult the builtin(1) manual page.

The login utility will submit an audit record when login succeeds or fails. Failure to determine the current auditing state will result in an error exit from login.

FILES
/etc/fbtab
    changes device protections
/etc/login.conf
    login class capabilities database
/etc/motd
    message-of-the-day
/var/mail/user
    system mailboxes
.hushlogin
    makes login quieter
/etc/pam.d/login
    pam(8) configuration file
/etc/security/audit_user
    user flags for auditing
/etc/security/audit_control
    global flags for auditing

SEE ALSO
builtin(1), chpass(1), csh(1), newgrp(1), passwd(1), rlogin(1), getpass(3), fbtab(5), login.access(5), login.conf(5), environ(7)

HISTORY
A login utility appeared in AT&T UNIX.